[**packwizjs**](../../README.md)

***

[packwizjs](../../modules.md) / [parser](../README.md) / Packwiz

# Class: Packwiz

Defined in: parser.ts:159

A class representing a Packwiz TOML file.

## Param

The location of the TOML file.

## Param

The index of the TOML file.

## Param

The name of the pack.

## Param

The packwiz version of the TOML file.

## Param

The authors of the pack.

## Param

The description of the pack.

## Param

The version of the pack.

## Param

The Minecraft / modloader versions that the pack uses.

## Constructors

### new Packwiz()

> **new Packwiz**(`location`, `index`, `name`, `packFormat`, `authors`, `description`, `version`, `versions`): [`Packwiz`](Packwiz.md)

Defined in: parser.ts:160

#### Parameters

##### location

[`Resource`](../../resource/classes/Resource.md)

##### index

[`PackwizIndex`](../interfaces/PackwizIndex.md)

##### name

`string`

##### packFormat

`string` = `"packwiz:1.0.0"`

##### authors

`string`[]

##### description

`string`

##### version

`string`

##### versions

[`PackwizVersions`](../interfaces/PackwizVersions.md)

#### Returns

[`Packwiz`](Packwiz.md)

## Properties

### authors

> `readonly` **authors**: `string`[]

Defined in: parser.ts:165

***

### description

> `readonly` **description**: `string`

Defined in: parser.ts:166

***

### index

> `readonly` **index**: [`PackwizIndex`](../interfaces/PackwizIndex.md)

Defined in: parser.ts:162

***

### location

> `readonly` **location**: [`Resource`](../../resource/classes/Resource.md)

Defined in: parser.ts:161

***

### name

> `readonly` **name**: `string`

Defined in: parser.ts:163

***

### packFormat

> `readonly` **packFormat**: `string` = `"packwiz:1.0.0"`

Defined in: parser.ts:164

***

### version

> `readonly` **version**: `string`

Defined in: parser.ts:167

***

### versions

> `readonly` **versions**: [`PackwizVersions`](../interfaces/PackwizVersions.md)

Defined in: parser.ts:168
